Search workspace
curl --request GET \
--url https://{workspace}.klef.ai/api/search \
--cookie klef.session=import requests
url = "https://{workspace}.klef.ai/api/search"
headers = {"cookie": "klef.session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'klef.session='}};
fetch('https://{workspace}.klef.ai/api/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"workers": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>",
"status": "unspecified",
"lifecycleStage": "pre_start"
}
],
"connections": [
{
"id": "<string>",
"name": "<string>",
"externalSystem": "adp_workforce_now"
}
],
"members": [
{
"userId": "<string>",
"name": "<string>",
"email": "<string>"
}
],
"policies": [
{
"id": "<string>",
"name": "<string>"
}
],
"audit": [
{
"id": "<string>",
"targetType": "workspace",
"targetLabel": "<string>",
"actorName": "<string>",
"occurredAt": "2023-11-07T05:31:56Z"
}
],
"resources": [
{
"kind": "script",
"id": "<string>",
"name": "<string>"
}
],
"segments": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"errors": [
{
"errorCode": "validation_error",
"errorMessage": "<string>",
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"errorCode": "validation_error",
"errorMessage": "<string>",
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"errorCode": "validation_error",
"errorMessage": "<string>",
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"errorCode": "validation_error",
"errorMessage": "<string>",
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"errorCode": "validation_error",
"errorMessage": "<string>",
"target": "<string>"
}
]
}Search
Search workspace
GET
/
search
Search workspace
Authorizations
cookieAuthapiKeyAuth
Cookie-based session. Obtain by completing the /auth/login/{provider} OAuth flow; the /auth/callback response sets the klef.session cookie that subsequent requests send automatically.
Query Parameters
The term to search for.
Required string length:
3 - 100Limit the search to these entity types.
The entity buckets a global search can cover. Combinable as flags.
Available options:
workers, connections, members, policies, audit, resources, segments Was this page helpful?